"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const CTAButton_1 = tslib_1.__importDefault(require("../CTAButton/CTAButton"));
function SessionPromptModal({ continueSession, resetStoredState, setShowSessionPrompt, showSessionPrompt, }) {
    const onNoClickHandler = () => {
        resetStoredState();
        setShowSessionPrompt(false);
    };
    if (showSessionPrompt) {
        const getContinueSessionButtonProps = () => ({
            className: 'cio-question-cta-button',
            onClick: () => {
                continueSession();
                setShowSessionPrompt(false);
            },
        });
        const getResetSession = () => ({
            className: 'cio-question-cta-button',
            onClick: () => {
                resetStoredState();
                setShowSessionPrompt(false);
            },
        });
        return (react_1.default.createElement("div", { className: 'cio-session-prompt-modal', role: 'presentation', onClick: onNoClickHandler },
            react_1.default.createElement("div", { className: 'cio-session-prompt-container' },
                react_1.default.createElement("div", { className: 'cio-session-prompt-content', role: 'presentation', onClick: (e) => e.stopPropagation() },
                    react_1.default.createElement("div", null, "Do you want to continue where you left off?"),
                    react_1.default.createElement("div", { className: 'cio-session-prompt-controls-container' },
                        react_1.default.createElement(CTAButton_1.default, { ctaText: 'No', type: 'button', propsGetters: getResetSession }),
                        react_1.default.createElement(CTAButton_1.default, { type: 'button', ctaText: 'Yes', propsGetters: getContinueSessionButtonProps }))))));
    }
    return null;
}
exports.default = SessionPromptModal;
