"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const actions_1 = require("../../components/CioQuiz/actions");
const utils_1 = require("../../utils");
const useHydrateQuizLocalState = (quizSessionStorageStateKey, dispatchLocalState) => {
    const sessionStorageQuizState = (0, utils_1.getStateFromSessionStorage)(quizSessionStorageStateKey);
    const hydrateQuizLocalStateHandler = (0, react_1.useCallback)(() => {
        if (sessionStorageQuizState) {
            dispatchLocalState({
                type: actions_1.QuestionTypes.Hydrate,
                payload: sessionStorageQuizState,
            });
        }
    }, [dispatchLocalState, sessionStorageQuizState]);
    return hydrateQuizLocalStateHandler;
};
exports.default = useHydrateQuizLocalState;
