import { useState, useCallback } from 'react';
export default function useAddToFavoritesButtonProps(addToFavorites) {
    const [favorited, setFavorited] = useState({});
    const toggleIdFavorited = useCallback((id) => {
        setFavorited({ ...favorited, [id]: !favorited?.[id] });
    }, [favorited]);
    const getAddToFavoritesButtonProps = useCallback((result, price) => ({
        className: `${'cio-result-card-favorites-button'} ${favorited?.[result?.data?.id || '0'] ? 'favorited' : ''}`,
        onClick: (e) => {
            addToFavorites(e, result, price, !favorited?.[result?.data?.id || '0']);
            toggleIdFavorited(result?.data?.id || '0');
        },
        type: 'button',
    }), 
    // eslint-disable-next-line react-hooks/exhaustive-deps
    [favorited, addToFavorites]);
    return getAddToFavoritesButtonProps;
}
