import { useCallback } from 'react';
import { QuestionTypes, QuizAPIActionTypes, } from '../../components/CioQuiz/actions';
const useQuizResetClick = (resetQuizSessionStorageState, dispatchLocalState, dispatchApiState, quizResults) => {
    const quizResetClickHandler = useCallback(() => {
        if (quizResults) {
            dispatchLocalState({
                type: QuestionTypes.Reset,
            });
            dispatchApiState({
                type: QuizAPIActionTypes.RESET_QUIZ,
            });
            resetQuizSessionStorageState();
        }
    }, [dispatchLocalState, dispatchApiState, resetQuizSessionStorageState, quizResults]);
    return quizResetClickHandler;
};
export default useQuizResetClick;
